# set all libs as executable
chmod a+x $SRC_DIR/lib/*
#chmod a+x $SRC_DIR/bin/*
chmod a+x $SRC_DIR/site-packages/*.so

# libraries
LIBRARY_PATH="${PREFIX}/lib"
cp -r $SRC_DIR/lib/* $LIBRARY_PATH

# Python components
SP_DIR=$PREFIX/lib/python${PY_VER}
cp -r $SRC_DIR/site-packages $SP_DIR

# scripts
BIN_DIR="${PREFIX}/bin"
if [-d $SRC_DIR/bin ]; then
  chmod a+x $SRC_DIR/bin/*
  cp -r $SRC_DIR/bin/* ${BIN_DIR}
fi

# environment variables
ACTIVATE_DIR=$PREFIX/etc/conda/activate.d
DEACTIVATE_DIR=$PREFIX/etc/conda/deactivate.d
mkdir -p $ACTIVATE_DIR
mkdir -p $DEACTIVATE_DIR

cp $SRC_DIR/etc/conda/activate.d/${PKG_NAME}-env_vars.sh $ACTIVATE_DIR/${PKG_NAME}-env_vars.sh
cp $SRC_DIR/etc/conda/deactivate.d/${PKG_NAME}-env_vars.sh $DEACTIVATE_DIR/${PKG_NAME}-env_vars.sh
